2018-03-17 22:55 EDT

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002961FSSCPmultiplayerpublic2013-11-25 02:29
Assigned Tozookeeper 
PlatformAthlon XPOSWindows XP32OS VersionSP3
Product Version3.7.1 
Target Version3.7.2Fixed in Version 
Summary0002961: Recently introduced stack corruption in debug around n_subsystems
DescriptionRun-Time Check Failure 0000002 - Stack around the variable 'n_subsystems' was corrupted.

Sometime after 10129 and before 10145, I'll do more split testing again to figure out what exactly. Not sure if it happens on all my computers or just the one I've tested on so far. More to come.
Steps To ReproduceUse retail data, debug build, r10145 for instance.
Start a multiplayer game (may require using a standalone) (you can start one up by yourself if you choose a dogfight mission, I used Asteroid Dogfight - Light, first in the list)
Immediately upon entering the actual mission, the crash should occur. Sometimes I get a popup crash message, sometimes it just CTDs with no message.
Additional InformationTried reproducing with a dogfight not hosted on my standalone, didn't happen. Not sure if you have to use a standalone, or if a 2 computer game without using a standalone will create it, will test that latter version later when I have access to multiple PCs.

Will also be sure to update my standalone to the same revision as the clients to make sure there hasn't been a data mismatch of some sort created recently.
TagsNo tags attached.
Attached Files




chief1983 (administrator)

Ok, tried connecting two 10145 clients with no standalone, and instead of the reported error, both got a malloc fail error. I might be able to get a callstack from this one at least though.


chief1983 (administrator)

Looks like 10135 introduced some multiplayer instability.


Goober5000 (administrator)

When I received the error "Stack around the variable 'swap' was corrupted" in the context of the medal code, it was because a memcpy was copying too many bytes into the target variable.


zookeeper (developer)

Fix committed to trunk@10161.

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-11-22 18:03 chief1983 New Issue
2013-11-23 00:08 chief1983 Note Added: 0015457
2013-11-23 00:45 chief1983 Note Added: 0015458
2013-11-24 22:41 Goober5000 Note Added: 0015462
2013-11-24 22:41 Goober5000 Assigned To => zookeeper
2013-11-24 22:41 Goober5000 Status new => assigned
2013-11-25 02:29 zookeeper Changeset attached => fs2open trunk r10161
2013-11-25 02:29 zookeeper Note Added: 0015465
2013-11-25 02:29 zookeeper Status assigned => resolved
2013-11-25 02:29 zookeeper Resolution open => fixed
+Issue History